com.ihr.xbrl.om.errors

## Class XBRLInconsistencyCalculationMismatch

- java.lang.Object
- - com.ihr.xbrl.om.errors.XBRLInconsistency
  - - com.ihr.xbrl.om.errors.XBRLInconsistencyCalculationMismatch

- All Implemented Interfaces:
    LinkableErrorMessage

      public class XBRLInconsistencyCalculationMismatch
      extends XBRLInconsistency
      implements LinkableErrorMessage

  The Class XBRLInconsistencyCalculationMismatch.
  Author:
    Ignacio

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency

      `XBRLInconsistency.Contributor`

  - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency

      `ASSERTION_EVALUATION_FAILED, CALCULATION_COMPARISON_OF_NUMBER_WITH_ZERO_PRECISION_ZERO, CALCULATION_INCONSISTENCY_PERIOD_TYPES_MISTMATCH, CALCULATION_MISTMATCH, CALCULATION_RULE_SKIPPED_BY_DUPLICATE, DTS_DISCOVERY_FILE_NAME_DIFFERS, FORMULA_FACT_VARIABLE_FILTER_XPATH_EXCEPTION, FORMULA_GENERAL_VARIABLE_FILTER_XPATH_EXCEPTION, FORMULA_INCONSISTENCY_ON_XFI_FUNCION, NUMBER_ROUNDED_TO_PRECISION_ZERO, URI_IS_NOT_ABSOLUTE, UTR_INCONSISTENCY, XML_WARNING`

    - ### Fields inherited from interface com.ihr.xbrl.om.errors.LinkableErrorMessage

      `styles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLInconsistencyCalculationMismatch(XBRLRoleType role, XBRLFactNumeric factTotal, XBRLNumber accumulated, java.util.Vector<XBRLInconsistency.Contributor> contributors)` Instantiates a new XBRL inconsistency calculation mismatch.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `XBRLNumber` | `getAccumulated()` Gets the accumulated.
    `java.util.Collection<XBRLInconsistency.Contributor>` | `getContributors()` Gets the contributors.
    `XBRLFactNumeric` | `getFactTotal()` Gets the fact total.
    `java.lang.String` | `getLinkableMessage(KeysForFactsProvider kp, LabelsProvider lp)` Returns the error message in HTML format including links to the items to be highlighted when the mouse goes over.
    `XBRLRoleType` | `getRole()` Gets the role.
    `int` | `hashCode()`

    - ### Methods inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency

      `getCode, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLInconsistencyCalculationMismatch

          public XBRLInconsistencyCalculationMismatch(XBRLRoleType role,
                                              XBRLFactNumeric factTotal,
                                              XBRLNumber accumulated,
                                              java.util.Vector<XBRLInconsistency.Contributor> contributors)

      Instantiates a new XBRL inconsistency calculation mismatch.
      Parameters:
        `role` - the role
        `factTotal` - the fact total
        `accumulated` - the accumulated
        `contributors` - the contributors

  - ### Method Detail

    - #### getContributors

          public java.util.Collection<XBRLInconsistency.Contributor> getContributors()

      Gets the contributors.
      Returns:
        the contributors

    - #### getRole

          public XBRLRoleType getRole()

      Gets the role.
      Returns:
        the role

    - #### getFactTotal

          public XBRLFactNumeric getFactTotal()

      Gets the fact total.
      Returns:
        the factTotal

    - #### getAccumulated

          public XBRLNumber getAccumulated()

      Gets the accumulated.
      Returns:
        the accumulated

    - #### getLinkableMessage

          public java.lang.String getLinkableMessage(KeysForFactsProvider kp,
                                            LabelsProvider lp)

      Description copied from interface: `LinkableErrorMessage`
      Returns the error message in HTML format including links to the items to be highlighted when the mouse goes over.
      Specified by:
        `getLinkableMessage` in interface `LinkableErrorMessage`
      Parameters:
        `kp` - This is an object that generates keys to be used at the time to generate links to fact items
        `lp` - This is the labels provider in order to allow obtaining labels for concepts
      Returns:
        String

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `XBRLInconsistency`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `XBRLInconsistency`